Menu

## ResponseParser

ResponseParser.php : 17

HEXONET ResponseParser

### Table of Contents

parse() : array<string|int, mixed>
  Method to parse plain API response into js object
serialize() : string
  Serialize given parsed response hash back to plain text

### Methods

#### parse()

ResponseParser.php : 24

Method to parse plain API response into js object

`public static parse(string $raw) : array<string|int, mixed>`

##### Parameters

$raw : string

  API plain response

##### Return values

array<string|int, mixed> —

API response as hash

#### serialize()

ResponseParser.php : 57

Serialize given parsed response hash back to plain text

`public static serialize(array<string|int, mixed> $r) : string`

##### Parameters

$r : array<string|int, mixed>

  API response as hash

##### Return values

string —

plain API response

## Search results